Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GMFGenFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.codegen.gmfgen.impl.GMFGenFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, GMFGenFactory

    public class GMFGenFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements GMFGenFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GMFGenFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GMFGenFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertDiagramColorsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFontStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGeneratedTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenLanguageToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenNavigatorReferenceTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenSeverityToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertJFaceFontToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLabelTextAccessMethodToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLinkLabelAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertProviderPriorityToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertRoutingToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertRulerUnitsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertStandardEntryKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertStandardPreferencePagesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertViewmapLayoutTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`ColorAttributes` `createColorAttributes()`
`CreateShortcutAction` `createCreateShortcutAction()`
`CustomBehaviour` `createCustomBehaviour()`
`CustomParser` `createCustomParser()`
`CustomTabFilter` `createCustomTabFilter()`
`DefaultSizeAttributes` `createDefaultSizeAttributes()`
`DesignLabelModelFacet` `createDesignLabelModelFacet()`
`DiagramColors` `createDiagramColorsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DynamicModelAccess` `createDynamicModelAccess()`
`ExpressionLabelModelFacet` `createExpressionLabelModelFacet()`
`ExpressionLabelParser` `createExpressionLabelParser()`
`ExternalParser` `createExternalParser()`
`FeatureLabelModelFacet` `createFeatureLabelModelFacet()`
`FeatureLinkModelFacet` `createFeatureLinkModelFacet()`
`FigureViewmap` `createFigureViewmap()`
`FontStyle` `createFontStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenActionFactoryContributionItem` `createGenActionFactoryContributionItem()`
`GenApplication` `createGenApplication()`
`GenAuditContainer` `createGenAuditContainer()`
`GenAuditContext` `createGenAuditContext()`
`GenAuditedMetricTarget` `createGenAuditedMetricTarget()`
`GenAuditRoot` `createGenAuditRoot()`
`GenAuditRule` `createGenAuditRule()`
`GenChildLabelNode` `createGenChildLabelNode()`
`GenChildNode` `createGenChildNode()`
`GenChildSideAffixedNode` `createGenChildSideAffixedNode()`
`GenCommandAction` `createGenCommandAction()`
`GenCompartment` `createGenCompartment()`
`GenConstantColor` `createGenConstantColor()`
`GenConstraint` `createGenConstraint()`
`GenContextMenu` `createGenContextMenu()`
`GenCustomAction` `createGenCustomAction()`
`GenCustomFont` `createGenCustomFont()`
`GenCustomPreferencePage` `createGenCustomPreferencePage()`
`GenCustomPropertyTab` `createGenCustomPropertyTab()`
`GenDiagram` `createGenDiagram()`
`GenDiagramElementTarget` `createGenDiagramElementTarget()`
`GenDiagramPreferences` `createGenDiagramPreferences()`
`GenDiagramUpdater` `createGenDiagramUpdater()`
`GenDomainAttributeTarget` `createGenDomainAttributeTarget()`
`GenDomainElementTarget` `createGenDomainElementTarget()`
`GenEditorGenerator` `createGenEditorGenerator()`
`GenEditorView` `createGenEditorView()`
`GeneratedType` `createGeneratedTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenExpressionInterpreter` `createGenExpressionInterpreter()`
`GenExpressionProviderContainer` `createGenExpressionProviderContainer()`
`GenExternalNodeLabel` `createGenExternalNodeLabel()`
`GenFeatureSeqInitializer` `createGenFeatureSeqInitializer()`
`GenFeatureValueSpec` `createGenFeatureValueSpec()`
`GenGroupMarker` `createGenGroupMarker()`
`GenJavaExpressionProvider` `createGenJavaExpressionProvider()`
`GenLanguage` `createGenLanguageFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenLink` `createGenLink()`
`GenLinkConstraints` `createGenLinkConstraints()`
`GenLinkLabel` `createGenLinkLabel()`
`GenLiteralExpressionProvider` `createGenLiteralExpressionProvider()`
`GenMenuManager` `createGenMenuManager()`
`GenMetricContainer` `createGenMetricContainer()`
`GenMetricRule` `createGenMetricRule()`
`GenNavigator` `createGenNavigator()`
`GenNavigatorChildReference` `createGenNavigatorChildReference()`
`GenNavigatorPath` `createGenNavigatorPath()`
`GenNavigatorPathSegment` `createGenNavigatorPathSegment()`
`GenNavigatorReferenceType` `createGenNavigatorReferenceTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenNodeLabel` `createGenNodeLabel()`
`GenNotationElementTarget` `createGenNotationElementTarget()`
`GenParsers` `createGenParsers()`
`GenPlugin` `createGenPlugin()`
`GenPreference` `createGenPreference()`
`GenPropertySheet` `createGenPropertySheet()`
`GenReferenceNewElementSpec` `createGenReferenceNewElementSpec()`
`GenRGBColor` `createGenRGBColor()`
`GenSeparator` `createGenSeparator()`
`GenSeverity` `createGenSeverityFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenSharedContributionItem` `createGenSharedContributionItem()`
`GenStandardFont` `createGenStandardFont()`
`GenStandardPreferencePage` `createGenStandardPreferencePage()`
`GenStandardPropertyTab` `createGenStandardPropertyTab()`
`GenToolBarManager` `createGenToolBarManager()`
`GenTopLevelNode` `createGenTopLevelNode()`
`InitDiagramAction` `createInitDiagramAction()`
`InnerClassViewmap` `createInnerClassViewmap()`
`JFaceFont` `createJFaceFontFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LabelModelFacet` `createLabelModelFacet()`
`LabelOffsetAttributes` `createLabelOffsetAttributes()`
`LabelTextAccessMethod` `createLabelTextAccessMethodFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LineStyle` `createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LinkLabelAlignment` `createLinkLabelAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LoadResourceAction` `createLoadResourceAction()`
`MetamodelType` `createMetamodelType()`
`ModeledViewmap` `createModeledViewmap()`
`NotationType` `createNotationType()`
`OpenDiagramBehaviour` `createOpenDiagramBehaviour()`
`Palette` `createPalette()`
`ParentAssignedViewmap` `createParentAssignedViewmap()`
`PredefinedParser` `createPredefinedParser()`
`ProviderPriority` `createProviderPriorityFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ResizeConstraints` `createResizeConstraints()`
`Routing` `createRoutingFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`RulerUnits` `createRulerUnitsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Separator` `createSeparator()`
`SharedBehaviour` `createSharedBehaviour()`
`SnippetViewmap` `createSnippetViewmap()`
`SpecializationType` `createSpecializationType()`
`StandardEntry` `createStandardEntry()`
`StandardEntryKind` `createStandardEntryKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StandardPreferencePages` `createStandardPreferencePagesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StyleAttributes` `createStyleAttributes()`
`ToolEntry` `createToolEntry()`
`ToolGroup` `createToolGroup()`
`TypeLinkModelFacet` `createTypeLinkModelFacet()`
`TypeModelFacet` `createTypeModelFacet()`
`TypeTabFilter` `createTypeTabFilter()`
`ValueExpression` `createValueExpression()`
`ViewmapLayoutType` `createViewmapLayoutTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GMFGenPackage` `getGMFGenPackage()`
`static GMFGenPackage` `getPackage()` Deprecated.
`static GMFGenFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GMFGenFactoryImpl

    public GMFGenFactoryImpl()

  Creates an instance of the factory.

  ** Generated **

Method Detail

### init

    public static GMFGenFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createGenEditorGenerator

    public GenEditorGenerator createGenEditorGenerator()

  Specified by:
    `createGenEditorGenerator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Editor Generator'.
  ** Generated **

### createGenDiagram

    public GenDiagram createGenDiagram()

  Specified by:
    `createGenDiagram` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram'.
  ** Generated **

### createGenEditorView

    public GenEditorView createGenEditorView()

  Specified by:
    `createGenEditorView` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Editor View'.
  ** Generated **

### createGenCustomPreferencePage

    public GenCustomPreferencePage createGenCustomPreferencePage()

  Specified by:
    `createGenCustomPreferencePage` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Custom Preference Page'.
  ** Generated **

### createGenStandardPreferencePage

    public GenStandardPreferencePage createGenStandardPreferencePage()

  Specified by:
    `createGenStandardPreferencePage` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Standard Preference Page'.
  ** Generated **

### createGenDiagramPreferences

    public GenDiagramPreferences createGenDiagramPreferences()

  Specified by:
    `createGenDiagramPreferences` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram Preferences'.
  ** Generated **

### createGenStandardFont

    public GenStandardFont createGenStandardFont()

  Specified by:
    `createGenStandardFont` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Standard Font'.
  ** Generated **

### createGenCustomFont

    public GenCustomFont createGenCustomFont()

  Specified by:
    `createGenCustomFont` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Custom Font'.
  ** Generated **

### createGenRGBColor

    public GenRGBColor createGenRGBColor()

  Specified by:
    `createGenRGBColor` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen RGB Color'.
  ** Generated **

### createGenConstantColor

    public GenConstantColor createGenConstantColor()

  Specified by:
    `createGenConstantColor` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Constant Color'.
  ** Generated **

### createGenPreference

    public GenPreference createGenPreference()

  Specified by:
    `createGenPreference` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Preference'.
  ** Generated **

### createGenDiagramUpdater

    public GenDiagramUpdater createGenDiagramUpdater()

  Specified by:
    `createGenDiagramUpdater` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram Updater'.
  ** Generated **

### createGenPlugin

    public GenPlugin createGenPlugin()

  Specified by:
    `createGenPlugin` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Plugin'.
  ** Generated **

### createDynamicModelAccess

    public DynamicModelAccess createDynamicModelAccess()

  Specified by:
    `createDynamicModelAccess` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Dynamic Model Access'.
  ** Generated **

### createCustomBehaviour

    public CustomBehaviour createCustomBehaviour()

  Specified by:
    `createCustomBehaviour` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Custom Behaviour'.
  ** Generated **

### createSharedBehaviour

    public SharedBehaviour createSharedBehaviour()

  Specified by:
    `createSharedBehaviour` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Shared Behaviour'.
  ** Generated **

### createOpenDiagramBehaviour

    public OpenDiagramBehaviour createOpenDiagramBehaviour()

  Specified by:
    `createOpenDiagramBehaviour` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Open Diagram Behaviour'.
  ** Generated **

### createGenTopLevelNode

    public GenTopLevelNode createGenTopLevelNode()

  Specified by:
    `createGenTopLevelNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Top Level Node'.
  ** Generated **

### createGenChildNode

    public GenChildNode createGenChildNode()

  Specified by:
    `createGenChildNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Child Node'.
  ** Generated **

### createGenChildSideAffixedNode

    public GenChildSideAffixedNode createGenChildSideAffixedNode()

  Specified by:
    `createGenChildSideAffixedNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Child Side Affixed Node'.
  ** Generated **

### createGenChildLabelNode

    public GenChildLabelNode createGenChildLabelNode()

  Specified by:
    `createGenChildLabelNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Child Label Node'.
  ** Generated **

### createGenCompartment

    public GenCompartment createGenCompartment()

  Specified by:
    `createGenCompartment` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Compartment'.
  ** Generated **

### createGenLink

    public GenLink createGenLink()

  Specified by:
    `createGenLink` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link'.
  ** Generated **

### createGenNodeLabel

    public GenNodeLabel createGenNodeLabel()

  Specified by:
    `createGenNodeLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Node Label'.
  ** Generated **

### createGenExternalNodeLabel

    public GenExternalNodeLabel createGenExternalNodeLabel()

  Specified by:
    `createGenExternalNodeLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen External Node Label'.
  ** Generated **

### createGenLinkLabel

    public GenLinkLabel createGenLinkLabel()

  Specified by:
    `createGenLinkLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link Label'.
  ** Generated **

### createMetamodelType

    public MetamodelType createMetamodelType()

  Specified by:
    `createMetamodelType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Metamodel Type'.
  ** Generated **

### createSpecializationType

    public SpecializationType createSpecializationType()

  Specified by:
    `createSpecializationType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Specialization Type'.
  ** Generated **

### createNotationType

    public NotationType createNotationType()

  Specified by:
    `createNotationType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Notation Type'.
  ** Generated **

### createLabelModelFacet

    public LabelModelFacet createLabelModelFacet()

  Specified by:
    `createLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Label Model Facet'.
  ** Generated **

### createTypeModelFacet

    public TypeModelFacet createTypeModelFacet()

  Specified by:
    `createTypeModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Type Model Facet'.
  ** Generated **

### createFeatureLabelModelFacet

    public FeatureLabelModelFacet createFeatureLabelModelFacet()

  Specified by:
    `createFeatureLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Feature Label Model Facet'.
  ** Generated **

### createDesignLabelModelFacet

    public DesignLabelModelFacet createDesignLabelModelFacet()

  Specified by:
    `createDesignLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Design Label Model Facet'.
  ** Generated **

### createExpressionLabelModelFacet

    public ExpressionLabelModelFacet createExpressionLabelModelFacet()

  Specified by:
    `createExpressionLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Expression Label Model Facet'.
  ** Generated **

### createTypeLinkModelFacet

    public TypeLinkModelFacet createTypeLinkModelFacet()

  Specified by:
    `createTypeLinkModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Type Link Model Facet'.
  ** Generated **

### createFeatureLinkModelFacet

    public FeatureLinkModelFacet createFeatureLinkModelFacet()

  Specified by:
    `createFeatureLinkModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Feature Link Model Facet'.
  ** Generated **

### createColorAttributes

    public ColorAttributes createColorAttributes()

  Specified by:
    `createColorAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Color Attributes'.
  ** Generated **

### createStyleAttributes

    public StyleAttributes createStyleAttributes()

  Specified by:
    `createStyleAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Style Attributes'.
  ** Generated **

### createResizeConstraints

    public ResizeConstraints createResizeConstraints()

  Specified by:
    `createResizeConstraints` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Resize Constraints'.
  ** Generated **

### createDefaultSizeAttributes

    public DefaultSizeAttributes createDefaultSizeAttributes()

  Specified by:
    `createDefaultSizeAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Default Size Attributes'.
  ** Generated **

### createLabelOffsetAttributes

    public LabelOffsetAttributes createLabelOffsetAttributes()

  Specified by:
    `createLabelOffsetAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Label Offset Attributes'.
  ** Generated **

### createFigureViewmap

    public FigureViewmap createFigureViewmap()

  Specified by:
    `createFigureViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Figure Viewmap'.
  ** Generated **

### createSnippetViewmap

    public SnippetViewmap createSnippetViewmap()

  Specified by:
    `createSnippetViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Snippet Viewmap'.
  ** Generated **

### createInnerClassViewmap

    public InnerClassViewmap createInnerClassViewmap()

  Specified by:
    `createInnerClassViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Inner Class Viewmap'.
  ** Generated **

### createParentAssignedViewmap

    public ParentAssignedViewmap createParentAssignedViewmap()

  Specified by:
    `createParentAssignedViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Parent Assigned Viewmap'.
  ** Generated **

### createModeledViewmap

    public ModeledViewmap createModeledViewmap()

  Specified by:
    `createModeledViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Modeled Viewmap'.
  ** Generated **

### createValueExpression

    public ValueExpression createValueExpression()

  Specified by:
    `createValueExpression` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createGenConstraint

    public GenConstraint createGenConstraint()

  Specified by:
    `createGenConstraint` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Constraint'.
  ** Generated **

### createPalette

    public Palette createPalette()

  Specified by:
    `createPalette` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createToolEntry

    public ToolEntry createToolEntry()

  Specified by:
    `createToolEntry` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Tool Entry'.
  ** Generated **

### createStandardEntry

    public StandardEntry createStandardEntry()

  Specified by:
    `createStandardEntry` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Standard Entry'.
  ** Generated **

### createSeparator

    public Separator createSeparator()

  Specified by:
    `createSeparator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createToolGroup

    public ToolGroup createToolGroup()

  Specified by:
    `createToolGroup` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createGenFeatureSeqInitializer

    public GenFeatureSeqInitializer createGenFeatureSeqInitializer()

  Specified by:
    `createGenFeatureSeqInitializer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Feature Seq Initializer'.
  ** Generated **

### createGenFeatureValueSpec

    public GenFeatureValueSpec createGenFeatureValueSpec()

  Specified by:
    `createGenFeatureValueSpec` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Feature Value Spec'.
  ** Generated **

### createGenReferenceNewElementSpec

    public GenReferenceNewElementSpec createGenReferenceNewElementSpec()

  Specified by:
    `createGenReferenceNewElementSpec` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Reference New Element Spec'.
  ** Generated **

### createGenLinkConstraints

    public GenLinkConstraints createGenLinkConstraints()

  Specified by:
    `createGenLinkConstraints` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link Constraints'.
  ** Generated **

### createGenAuditRoot

    public GenAuditRoot createGenAuditRoot()

  Specified by:
    `createGenAuditRoot` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Root'.
  ** Generated **

### createGenAuditContainer

    public GenAuditContainer createGenAuditContainer()

  Specified by:
    `createGenAuditContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Container'.
  ** Generated **

### createGenAuditRule

    public GenAuditRule createGenAuditRule()

  Specified by:
    `createGenAuditRule` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Rule'.
  ** Generated **

### createGenDomainElementTarget

    public GenDomainElementTarget createGenDomainElementTarget()

  Specified by:
    `createGenDomainElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Domain Element Target'.
  ** Generated **

### createGenDiagramElementTarget

    public GenDiagramElementTarget createGenDiagramElementTarget()

  Specified by:
    `createGenDiagramElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram Element Target'.
  ** Generated **

### createGenDomainAttributeTarget

    public GenDomainAttributeTarget createGenDomainAttributeTarget()

  Specified by:
    `createGenDomainAttributeTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Domain Attribute Target'.
  ** Generated **

### createGenNotationElementTarget

    public GenNotationElementTarget createGenNotationElementTarget()

  Specified by:
    `createGenNotationElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Notation Element Target'.
  ** Generated **

### createGenMetricContainer

    public GenMetricContainer createGenMetricContainer()

  Specified by:
    `createGenMetricContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Metric Container'.
  ** Generated **

### createGenMetricRule

    public GenMetricRule createGenMetricRule()

  Specified by:
    `createGenMetricRule` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Metric Rule'.
  ** Generated **

### createGenAuditedMetricTarget

    public GenAuditedMetricTarget createGenAuditedMetricTarget()

  Specified by:
    `createGenAuditedMetricTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audited Metric Target'.
  ** Generated **

### createGenAuditContext

    public GenAuditContext createGenAuditContext()

  Specified by:
    `createGenAuditContext` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Context'.
  ** Generated **

### createGenExpressionProviderContainer

    public GenExpressionProviderContainer createGenExpressionProviderContainer()

  Specified by:
    `createGenExpressionProviderContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Expression Provider Container'.
  ** Generated **

### createGenJavaExpressionProvider

    public GenJavaExpressionProvider createGenJavaExpressionProvider()

  Specified by:
    `createGenJavaExpressionProvider` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Java Expression Provider'.
  ** Generated **

### createGenExpressionInterpreter

    public GenExpressionInterpreter createGenExpressionInterpreter()

  Specified by:
    `createGenExpressionInterpreter` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Expression Interpreter'.
  ** Generated **

### createGenLiteralExpressionProvider

    public GenLiteralExpressionProvider createGenLiteralExpressionProvider()

  Specified by:
    `createGenLiteralExpressionProvider` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Literal Expression Provider'.
  ** Generated **

### createGenNavigator

    public GenNavigator createGenNavigator()

  Specified by:
    `createGenNavigator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Navigator'.
  ** Generated **

### createGenNavigatorChildReference

    public GenNavigatorChildReference createGenNavigatorChildReference()

  Specified by:
    `createGenNavigatorChildReference` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Navigator Child Reference'.
  ** Generated **

### createGenNavigatorPath

    public GenNavigatorPath createGenNavigatorPath()

  Specified by:
    `createGenNavigatorPath` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Navigator Path'.
  ** Generated **

### createGenNavigatorPathSegment

    public GenNavigatorPathSegment createGenNavigatorPathSegment()

  Specified by:
    `createGenNavigatorPathSegment` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Navigator Path Segment'.
  ** Generated **

### createGenPropertySheet

    public GenPropertySheet createGenPropertySheet()

  Specified by:
    `createGenPropertySheet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Property Sheet'.
  ** Generated **

### createGenStandardPropertyTab

    public GenStandardPropertyTab createGenStandardPropertyTab()

  Specified by:
    `createGenStandardPropertyTab` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Standard Property Tab'.
  ** Generated **

### createGenCustomPropertyTab

    public GenCustomPropertyTab createGenCustomPropertyTab()

  Specified by:
    `createGenCustomPropertyTab` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Custom Property Tab'.
  ** Generated **

### createTypeTabFilter

    public TypeTabFilter createTypeTabFilter()

  Specified by:
    `createTypeTabFilter` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Type Tab Filter'.
  ** Generated **

### createCustomTabFilter

    public CustomTabFilter createCustomTabFilter()

  Specified by:
    `createCustomTabFilter` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Custom Tab Filter'.
  ** Generated **

### createGenSharedContributionItem

    public GenSharedContributionItem createGenSharedContributionItem()

  Specified by:
    `createGenSharedContributionItem` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Shared Contribution Item'.
  ** Generated **

### createGenGroupMarker

    public GenGroupMarker createGenGroupMarker()

  Specified by:
    `createGenGroupMarker` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Group Marker'.
  ** Generated **

### createGenSeparator

    public GenSeparator createGenSeparator()

  Specified by:
    `createGenSeparator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Separator'.
  ** Generated **

### createGenCustomAction

    public GenCustomAction createGenCustomAction()

  Specified by:
    `createGenCustomAction` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Custom Action'.
  ** Generated **

### createGenCommandAction

    public GenCommandAction createGenCommandAction()

  Specified by:
    `createGenCommandAction` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Command Action'.
  ** Generated **

### createLoadResourceAction

    public LoadResourceAction createLoadResourceAction()

  Specified by:
    `createLoadResourceAction` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Load Resource Action'.
  ** Generated **

### createInitDiagramAction

    public InitDiagramAction createInitDiagramAction()

  Specified by:
    `createInitDiagramAction` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Init Diagram Action'.
  ** Generated **

### createCreateShortcutAction

    public CreateShortcutAction createCreateShortcutAction()

  Specified by:
    `createCreateShortcutAction` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Create Shortcut Action'.
  ** Generated **

### createGenActionFactoryContributionItem

    public GenActionFactoryContributionItem createGenActionFactoryContributionItem()

  Specified by:
    `createGenActionFactoryContributionItem` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Action Factory Contribution Item'.
  ** Generated **

### createGenMenuManager

    public GenMenuManager createGenMenuManager()

  Specified by:
    `createGenMenuManager` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Menu Manager'.
  ** Generated **

### createGenToolBarManager

    public GenToolBarManager createGenToolBarManager()

  Specified by:
    `createGenToolBarManager` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Tool Bar Manager'.
  ** Generated **

### createGenContextMenu

    public GenContextMenu createGenContextMenu()

  Specified by:
    `createGenContextMenu` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Context Menu'.
  ** Generated **

### createGenApplication

    public GenApplication createGenApplication()

  Specified by:
    `createGenApplication` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Application'.
  ** Generated **

### createGenParsers

    public GenParsers createGenParsers()

  Specified by:
    `createGenParsers` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Parsers'.
  ** Generated **

### createPredefinedParser

    public PredefinedParser createPredefinedParser()

  Specified by:
    `createPredefinedParser` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Predefined Parser'.
  ** Generated **

### createExpressionLabelParser

    public ExpressionLabelParser createExpressionLabelParser()

  Specified by:
    `createExpressionLabelParser` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Expression Label Parser'.
  ** Generated **

### createCustomParser

    public CustomParser createCustomParser()

  Specified by:
    `createCustomParser` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Custom Parser'.
  ** Generated **

### createExternalParser

    public ExternalParser createExternalParser()

  Specified by:
    `createExternalParser` in interface `GMFGenFactory`
  Returns:
    a new object of class 'External Parser'.
  ** Generated **

### createStandardPreferencePagesFromString

    public StandardPreferencePages createStandardPreferencePagesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

  ** Generated **

### convertStandardPreferencePagesToString

    public java.lang.String convertStandardPreferencePagesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.Object instanceValue)

  ** Generated **

### createRulerUnitsFromString

    public RulerUnits createRulerUnitsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

  ** Generated **

### convertRulerUnitsToString

    public java.lang.String convertRulerUnitsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

  ** Generated **

### createRoutingFromString

    public Routing createRoutingFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                           java.lang.String initialValue)

  ** Generated **

### convertRoutingToString

    public java.lang.String convertRoutingToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

  ** Generated **

### createLineStyleFromString

    public LineStyle createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertLineStyleToString

    public java.lang.String convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createJFaceFontFromString

    public JFaceFont createJFaceFontFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertJFaceFontToString

    public java.lang.String convertJFaceFontToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createFontStyleFromString

    public FontStyle createFontStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertFontStyleToString

    public java.lang.String convertFontStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createDiagramColorsFromString

    public DiagramColors createDiagramColorsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

  ** Generated **

### convertDiagramColorsToString

    public java.lang.String convertDiagramColorsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

  ** Generated **

### createProviderPriorityFromString

    public ProviderPriority createProviderPriorityFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

  ** Generated **

### convertProviderPriorityToString

    public java.lang.String convertProviderPriorityToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

  ** Generated **

### createLinkLabelAlignmentFromString

    public LinkLabelAlignment createLinkLabelAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

  ** Generated **

### convertLinkLabelAlignmentToString

    public java.lang.String convertLinkLabelAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

  ** Generated **

### createLabelTextAccessMethodFromString

    public LabelTextAccessMethod createLabelTextAccessMethodFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

  ** Generated **

### convertLabelTextAccessMethodToString

    public java.lang.String convertLabelTextAccessMethodToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

  ** Generated **

### createViewmapLayoutTypeFromString

    public ViewmapLayoutType createViewmapLayoutTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

  ** Generated **

### convertViewmapLayoutTypeToString

    public java.lang.String convertViewmapLayoutTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

  ** Generated **

### createStandardEntryKindFromString

    public StandardEntryKind createStandardEntryKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

  ** Generated **

### convertStandardEntryKindToString

    public java.lang.String convertStandardEntryKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

  ** Generated **

### createGenSeverityFromString

    public GenSeverity createGenSeverityFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

  ** Generated **

### convertGenSeverityToString

    public java.lang.String convertGenSeverityToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

  ** Generated **

### createGenLanguageFromString

    public GenLanguage createGenLanguageFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

  ** Generated **

### convertGenLanguageToString

    public java.lang.String convertGenLanguageToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

  ** Generated **

### createGenNavigatorReferenceTypeFromString

    public GenNavigatorReferenceType createGenNavigatorReferenceTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                               java.lang.String initialValue)

  ** Generated **

### convertGenNavigatorReferenceTypeToString

    public java.lang.String convertGenNavigatorReferenceTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.Object instanceValue)

  ** Generated **

### createGeneratedTypeFromString

    public GeneratedType createGeneratedTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

  ** Generated **

### convertGeneratedTypeToString

    public java.lang.String convertGeneratedTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

  ** Generated **

### getGMFGenPackage

    public GMFGenPackage getGMFGenPackage()

  Specified by:
    `getGMFGenPackage` in interface `GMFGenFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    @Deprecated
    public static GMFGenPackage getPackage()

  Deprecated.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.